This page lists dependencies declared by a package and the actual dependencies needed to build it. It is intended for the verification of cross-dependency satisfaction tools. The examples are given with a build arch of amd64 and a host arch of armel.

package

version

Build-deps

Native deps
DEB_BUILD_ARCH (amd64)

Cross-deps
DEB_HOST_ARCH (armel)

anacron

2.3-14.1

debhelper (>= 7)

debhelper, c-cross-compiler

libc6-dev, libc6 (supplied with cross-compiler)

alsa-lib

debhelper (>= 7), autotools-dev, doxygen, libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc],
libc6-dev-i386 [amd64], libc6-dev-amd64 [i386], libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc],
lib32gcc1 [amd64 ppc64], lib64gcc1 [i386 powerpc sparc s390], gcc-multilib [amd64 i386 powerpc ppc64 s390 sparc],
python-dev, libcxxtools-dev

c++-cross-ompiler, autotools-dev, doxygen,

python-dev, libcxxtools-dev, libcxxtools6

alsa-utils

1.0.23

debhelper (>=7), libncursesw5-dev, autotools-dev, libasound2-dev (>= 1.0.18), xmlto

debhelper xmlto autotools-dev

libncursesw5-dev, libncursesw5, libasound2-dev, libasound2, libc6-dev, libc6

Current Multiarch status of depended-on packages:

Package

Multiarch status

debhelper

none

libc6

same

libc6-dev

none

doxygen

none

libncursesw5

none

libncursesw5-dev

none

autotools-dev

none

python-dev

none

libasound2-dev

none

libasound2

none

libcxxtools6

none

libcxxtools-dev

none

lib32gcc1

none

lib64gcc1

none

xmlto

none

Platform/DevPlatform/CrossCompile/CrossDependencyList (last modified 2011-07-13 00:09:02)